nx_server_plugin_sdk 1.0 Server Plugin SDK

Public Member Functions | Static Public Member Functions | List of all members
nx::sdk::analytics::IObjectTrackInfo1 Class Referenceabstract
Inheritance diagram for nx::sdk::analytics::IObjectTrackInfo1:

## Public Member Functions
virtual const char * | bestShotImageData () const =0
virtual int | bestShotImageDataSize () const =0
virtual const char * | bestShotImageDataFormat () const =0
Public Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo1, IObjectTrackInfo0 >
virtual IRefCountable * | queryInterface (const InterfaceId *id)
Ptr< Interface > | queryInterface ()
Ptr< const Interface > | queryInterface () const

## Static Public Member Functions
static auto | interfaceId ()

## Additional Inherited Members
Protected Member Functions inherited from nx::sdk::Interface< IObjectTrackInfo1, IObjectTrackInfo0 >
virtual IRefCountable * | queryInterface (const IRefCountable::InterfaceId *id) override
IRefCountable * | queryInterfaceSupportingDeprecatedId (const IRefCountable::InterfaceId *id, const Uuid &deprecatedInterfaceId)

## Member Function Documentation

## ◆ bestShotImageData()

virtual const char* nx::sdk::analytics::IObjectTrackInfo1::bestShotImageData | ( |  | ) | const
| pure virtual

Returns
  Pointer to the Track Best Shot image data provided by the Plugin. If the Best Shot was provided in the form of a URL, the pointer being returned by this method points to the data of the image that server obtained by this URL. If the Plugin provides neither binary image data nor its URL, null is returned.

## ◆ bestShotImageDataFormat()

virtual const char* nx::sdk::analytics::IObjectTrackInfo1::bestShotImageDataFormat | ( |  | ) | const
| pure virtual

Returns
  Format of the Best Shot image. Can contain one of the following values: "image/jpeg", "image/png", "image/tiff". If the track has no explicit Best Shot image, an empty string is returned.

## ◆ bestShotImageDataSize()

virtual int nx::sdk::analytics::IObjectTrackInfo1::bestShotImageDataSize | ( |  | ) | const
| pure virtual

Returns
  Size of the image data array. If the Track has no explicit Best Shot image, 0 is returned.

The documentation for this class was generated from the following file:

- src/nx/sdk/analytics/i_object_track_info.h